Subject: Re: bug#40534: Installer: List of languages should be focused on translated ones

From: Björn Höfling <[email-masked]>
Date: Sun, 19 Apr 2020 01:27:48 +0200

On Fri, 10 Apr 2020 15:46:44 +0200
"pelzflorian (Florian Pelz)" <[email-masked]> wrote:

> On Fri, Apr 10, 2020 at 01:34:40PM +0200, Björn Höfling wrote:
> > When starting the Guix installer, the first question is to choose a
> > language.
> > 
> > You are confronted with a very long list of all sorts of languages.
> > When you then choose one of the untranslated ones, you just get
> > back to English.
> > 
> > Wouldn't it be better to just show those where really (some)
> > translations are available?  
> 
> The chosen language should affect the locale in the generated
> config.scm, does it not?  If the locale in config.scm is correct, then
> even if Guix has no translation at least the installed system will
> have translations e.g. for GNOME and I believe this issue can be
> closed.  Just the installer messages remain untranslated English for
> now.

You are right, that's a good argument at the end of installation.

Closing this one, and waiting for Guix-world-domination with full
translations in all available languages :-)

Björn